Subject: Re: [PATCH] Add support for the nwp serial device

From: Benjamin Krill <[email-masked]>
Date: Thu, 20 Nov 2008 16:20:54 +0100

Hi Josh,

>What does 'NWP' stand for, and how is it different from a regular serial
>port?  Also, what platforms can this device be found on currently?
>
>Some of that should be included in the changelog, but I'm curious as well
>too.

NWP stands for network processor and it is part of the QPACE - Quantum
Chromodynamics Parallel Computing on the Cell Broadband Engine
project [1]. The implementation is a lightweight uart implementation
with the focus to consume as little resources as possible and it is
connected to a DCR bus.

 Ben